P11290 【MX-S6-T2】「KDOI-11」飞船

题目大意:有i种加油站,最开始速度为1,每次加油可以使速度*v,每次加油有一个时间代价,求到达终点所需最小时间。

思路:不妨考虑dp,贪心是错误的。

对于速度而言,,所以速度一定,所以速度是指数增长的,状态数不会很多。

于是只有两种状态,设表示前i个加油站加到速度为。

有两种转移策略:

1.

表示继承前一个点的值

2.

当且仅当vi=2

3.

当且仅当vi=3

4.vi=4同理

考虑计算答案,对于每一个终点而言,离它最近且不在它的位置上是最优的。因为这个点记录了前i个点的最优值

枚举每种状态即可,复杂度级别

相关推荐
Xudde.10 分钟前
CVE-2017-9993漏洞复现
笔记·学习·安全·web安全
大鹏的NLP博客16 分钟前
C++ 内存安全的未来:从 Safety Profiles 到 Safe C++
c++·内存安全
牧羊人.33324 分钟前
动手学深度学习 07|Resnet网络与迁移学习
网络·人工智能·深度学习·神经网络·算法·cnn·迁移学习
程序员zgh26 分钟前
C++ erase() 函数用法
c语言·开发语言·c++·学习
mlidongfeng30 分钟前
【学习】 NVIDIA CFT(Compute Fabric Transport)特性分析
人工智能·学习·fabric
小李不想当小白43 分钟前
USART串口协议(STM32标准库学习笔记)
经验分享·笔记·stm32·单片机·嵌入式硬件·学习
All for pursuit.1 小时前
【并查集-2】399.除法求值
数据结构·c++·算法·leetcode
迪丽热爱1 小时前
一、C语言概述与程序结构
c语言·开发语言·算法
码爸2 小时前
动态规划介绍
算法·动态规划
怪奇云呼军2 小时前
教育试听预约后没到课,闪电智能 Voice Agent 如何做分层回访?
人工智能·python·算法·云计算·音视频